#include<bits/stdc++.h>
using namespace std;
long long N,M,A[1509][1509];
int main(){
	cin>>N>>M;
	for(int i=1; i<=N; i++)
		for(int j=1; j<=M; j++)
			cin>>A[i][j];
	if(N==1){
		long long sol=0;
		for(long long code=1; code<=(1<<30); code<<=1){
			long long br=0;
			for(int j=1; j<=M; j++)
				if(A[1][j]&code!=0)
					br++;
			sol+=min(M-br,br)*code;
		}
		cout<<sol<<endl;
	}
	return 0;
}